Supercheck LogoSupercheck
CLI Tokens

Revoke a CLI token

Permanently delete a CLI token. This action cannot be undone.

DELETE
/api/cli-tokens/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

id*string

CLI token ID

Formatuuid

Response Body

Token revoked

application/json
  1. response
success?boolean
message?string
Example Request
curl -X DELETE 'https://demo.supercheck.dev/api/cli-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "success": true,  "message": "string"}